CVE-2021-44269

Name
CVE-2021-44269
Description
An out of bounds read was found in Wavpack 5.4.0 in processing *.WAV files. This issue triggered in function WavpackPackSamples of file src/pack_utils.c, tainted variable cnt is too large, that makes pointer sptr read beyond heap bound.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
Exploit https://github.com/dbry/WavPack/issues/110
Mailing List https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/CRZWZKEEABCLVXZEXQZBIT3ZKLIXVFF5/
Mailing List https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/2CZUFTX3J4Y4OSRITG4PXCI7NRVFDYVQ/
FEDORA https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/SQKOOJRI2VAPYS3652HVDXON723HTXBP/

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:wavpack:wavpack:5.4.0:*:*:*:*:*:*:* wavpack == None == 5.4.0

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
wavpack edge-community 5.4.0-r1 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
wavpack 3.15-community 5.4.0-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
wavpack 3.16-community 5.4.0-r1 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable